### Insertion Loss bei DB Format (Betrag in dB und Phase in Grad) ###

# Postscriptausgabe (Vektoriell)
set terminal postscript eps enhanced color "Arial" 20
set encoding iso_8859_1
set clip

# S-Parameterdatei angeben
file='M:\_ABAS\170xx\17039\Messdaten Impulsbegrenzer\SN_036961-0091\IMP-136.s2p'

# Parameter von der s2p-Datei angeben
freq_start=0.0E9  # Startfrequenz, 0 Hz (DC) ist Standard
freq_stop=0.23E9 # Stopfrequenz der s2p-Datei
freq_unit=1e0 # Frequenzeinheit der s2p-Datei (1e0=Hz, 1e3=kHz, 1e6=MHz & 1e9=GHz)

# Speicherort und -name bestimmen
cd 'M:\_ABAS\170xx\17039\Messdaten Impulsbegrenzer\SN_036961-0091'
set output 'Insertion Loss.eps'

# Achsenintervalle * bedeutet Autoskala
freq_format=1E6  # Anzeige in GHz [1e9] bzw. MHz [1e6]
freq_steps=0.05E9 # Schrittweite der Anzeige
#set yrange [*:*]
set yrange [-10.5:-9.5]
set ytics 0.1
set xrange [freq_start/freq_format:freq_stop/freq_format]
set xtics freq_steps/freq_format
set xtics (0,50,100,150,200,230)
set grid

# Titel und Legende angeben
language_format=0 # 1 bedeutet Deustsch, 0 Englisch
# set title "S_{11}"
if (language_format==1){
   if (freq_format==1E9){
      set xlabel "Frequenz [GHz]"
   }else{
      set xlabel "Frequenz [MHz]"}
   set ylabel "Einfgedmpfung [dB]"
   set decimalsign ','
}else{
   if (freq_format==1E9){
      set xlabel "Frequency [GHz]"
   }else{
      set xlabel "Frequency [MHz]"}
   set ylabel "Insertion Loss [dB]"
   set decimalsign '.'
}

# Definition der Linienart (lt), -farbe (lc) und -breite (lw)
curve_format=1 # Kurvenformat 1 bedeutet durchgezogene Linien, 0 gepunktete
if (curve_format==0){
   set linestyle  1 lt 1 lc 1 lw 5   # lc 1 rot lw 5 dicke
   set linestyle  2 lt 1 lc 2 lw 5   # gruen
   set linestyle  3 lt 1 lc 3 lw 5   # blau
   set linestyle  4 lt 1 lc 4 lw 5   # lila
   set linestyle  5 lt 1 lc 5 lw 5   # trkis
   set linestyle  6 lt 1 lc 6 lw 5   # gelb
   set linestyle  7 lt 1 lc 7 lw 5   # schwarz
   set linestyle  8 lt 1 lc 8 lw 5   # orange
   set linestyle  9 lt 1 lc 9 lw 5   # grau
   }else{
   set linestyle  1 lt 1 lc 0 lw 5   # _________
   set linestyle  2 lt 7 lc 0 lw 5   # .. .. .. 
   set linestyle  3 lt 3 lc 0 lw 5   # .........
   set linestyle  4 lt 4 lc 0 lw 5   # ......... enger
   set linestyle  5 lt 5 lc 0 lw 5   # .-.-.-.-.
   set linestyle  6 lt 6 lc 0 lw 5   # .-.-.-.-. enger
   set linestyle  7 lt 2 lc 0 lw 5   # ---------
   set linestyle  8 lt 8 lc 0 lw 5   # ..-..-..-
   set linestyle  9 lt 9 lc 0 lw 5   # .... ....
}		

# Legende
#set key reverse right top Left samplen 2.15 box lc "black" width 0.5 height 0.5

# Insertion Loss 
plot file using (($1)/freq_format*freq_unit):($4+0.01) notitle 'Common Port' smooth sbezier with line ls 1

set output

reset